For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification Handlers

List notification handlers

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of notification handlers

application/json
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
destinationstringOptional
get/notifications
GET /api/notifications HTTP/1.1
Host: app.hydrozen.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

List of notification handlers

[
  {
    "id": "text",
    "name": "text",
    "type": "email",
    "destination": "text"
  }
]

Create a new notification handler

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringOptional
typestringOptional
destinationstringOptional
Responses
201

Notification handler created

application/json
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
destinationstringOptional
post/notifications
POST /api/notifications HTTP/1.1
Host: app.hydrozen.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "name": "text",
  "type": "text",
  "destination": "text"
}
201

Notification handler created

{
  "id": "text",
  "name": "text",
  "type": "email",
  "destination": "text"
}

Retrieve notification handler

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Notification handler details

application/json
idstringOptional
namestringOptional
typestring · enumOptionalPossible values:
destinationstringOptional
get/notifications/{id}
GET /api/notifications/{id} HTTP/1.1
Host: app.hydrozen.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Notification handler details

{
  "id": "text",
  "name": "text",
  "type": "email",
  "destination": "text"
}

Delete notification handler

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
204

Notification handler deleted

No content

delete/notifications/{id}
DELETE /api/notifications/{id} HTTP/1.1
Host: app.hydrozen.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Notification handler deleted

No content

Last updated